
CREATE TABLE CONTENT_CONSTRAINT
(
       CONT_CONS_ID bigint NOT NULL,
       ACTUAL_DATA BIT  NOT NULL DEFAULT 1 ,
       PERIODICITY varchar(50) NULL,
       OFFSET varchar(50) NULL,
       TOLERANCE varchar(50) NULL,
	   DP_ID BIGINT,
	   ATTACH_TYPE VARCHAR(20) Not Null,
	   SET_ID VARCHAR(255),
	   SIMPLE_DATA_SOURCE NVARCHAR(1024),
	   START_TIME datetime NULL,
	   END_TIME datetime NULL
)
;

ALTER TABLE CONTENT_CONSTRAINT ADD CONSTRAINT PK_CONTENT_CONSTRAINT
    PRIMARY KEY(CONT_CONS_ID)
;

ALTER TABLE CONTENT_CONSTRAINT ADD CONSTRAINT FK_CCA_DATAPROVIDER
	FOREIGN KEY (DP_ID) REFERENCES DATAPROVIDER(DP_ID)
;


